Package mpi

## Class UserFunction

- java.lang.Object
- - mpi.UserFunction

-     public abstract class UserFunction
      extends java.lang.Object

  Java equivalent of the `MPI_USER_FUNCTION`.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `UserFunction()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `call​(java.lang.Object inVec, java.lang.Object inOutVec, int count, Datatype datatype)` | User-defined function for a new `Op`.
    `void` | `call​(java.nio.ByteBuffer in, java.nio.ByteBuffer inOut, int count, Datatype datatype)` | User-defined function for a new `Op`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UserFunction

          public UserFunction()

  - ### Method Detail

    - #### call

          public void call​(java.lang.Object inVec,
                           java.lang.Object inOutVec,
                           int count,
                           Datatype datatype)
                    throws MPIException

      User-defined function for a new `Op`.
      Parameters:
        `inVec` - array of values to combine with `inoutvec` elements
        `inOutVec` - in-out array of accumulator locations
        `count` - number of items in arrays
        `datatype` - type of each item
      Throws:
        `MPIException` - Signals that an MPI exception of some sort has occurred.

    - #### call

          public void call​(java.nio.ByteBuffer in,
                           java.nio.ByteBuffer inOut,
                           int count,
                           Datatype datatype)
                    throws MPIException

      User-defined function for a new `Op`.
      Parameters:
        `in` - direct byte buffer to combine with `inOut` buffer
        `inOut` - in-out direct byte buffer of accumulator locations
        `count` - number of items in buffers
        `datatype` - type of each item
      Throws:
        `MPIException` - Signals that an MPI exception of some sort has occurred.